# PokemonTransformPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PokemonTransformPhase

Transforms a Pokemon into another Pokemon on the field. Used for Transform (move) and Imposter (ability)

#### Hierarchy (View Summary)

- PokemonPhase
  - PokemonTransformPhase

- Defined in src/phases/pokemon-transform-phase.ts:15

##### Index

### Constructors

constructor

### Properties

battlerIndex
fieldIndex
player
targetIndex

### Methods

end
executeForAll
getPokemon
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new PokemonTransformPhase(
  userIndex: BattlerIndex ,
  targetIndex: BattlerIndex ,
  playSound?: boolean,
  ): PokemonTransformPhase

  #### Parameters

  - userIndex: BattlerIndex
  - targetIndex: BattlerIndex
  - playSound: boolean = false

  #### Returns PokemonTransformPhase

  Overrides PokemonPhase.constructor

  - Defined in src/phases/pokemon-transform-phase.ts:19

## Properties

### `Protected` battlerIndex

battlerIndex: number

Inherited from PokemonPhase.battlerIndex

- Defined in src/phases/pokemon-phase.ts:7

### fieldIndex

fieldIndex: number

Inherited from PokemonPhase.fieldIndex

- Defined in src/phases/pokemon-phase.ts:9

### player

player: boolean

Inherited from PokemonPhase.player

- Defined in src/phases/pokemon-phase.ts:8

### `Protected` targetIndex

targetIndex: BattlerIndex

- Defined in src/phases/pokemon-transform-phase.ts:16

## Methods

### end

- end(): void

  #### Returns void

  Inherited from PokemonPhase.end

  - Defined in src/phase.ts:6

### executeForAll

- executeForAll(func: PokemonFunc): void

  #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from PokemonPhase.executeForAll

  - Defined in src/phases/field-phase.ts:8

### getPokemon

- getPokemon(): default

  #### Returns default

  Inherited from PokemonPhase.getPokemon

  - Defined in src/phases/pokemon-phase.ts:26

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  Inherited from PokemonPhase.hideEnemyTrainer

  - Defined in src/phases/battle-phase.ts:37

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from PokemonPhase.showEnemyTrainer

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Overrides PokemonPhase.start

  - Defined in src/phases/pokemon-transform-phase.ts:26